org.apache.http.impl.client

## Class TunnelRefusedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.http.HttpException
      - - org.apache.http.impl.client.TunnelRefusedException

All Implemented Interfaces:
  Serializable

Deprecated.
(4.3) reserved for internal use.

    @Deprecated
    public class TunnelRefusedException
    extends org.apache.http.HttpException

Signals that the tunnel request was rejected by the proxy host.

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TunnelRefusedException(String message, org.apache.http.HttpResponse response)` Deprecated.

### Method Summary

Methods
`org.apache.http.HttpResponse` `getResponse()` Deprecated.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TunnelRefusedException

    public TunnelRefusedException(String message,
                          org.apache.http.HttpResponse response)

Deprecated.

### Method Detail

#### getResponse

    public org.apache.http.HttpResponse getResponse()

Deprecated.